Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4147 - need summary
Summary: need summary
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-21 21:01 UTC by kestes
Modified: 2018-01-17 00:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-22 18:40:35 UTC


Attachments (Terms of Use)

Description kestes 1999-07-21 21:01:12 UTC
WE would like to have a feature like autoreqprov to turn
off requires but not dependencies.  This would be used
for when we package large applications like oraclelibraries
using rpm.  I can install the oracle client libraries
even if I do not have Cobol or Java on my system though
oracle would use those language libraries if I have them.
So I can always install oracle even if I have a minimal
system but the dependency strucuture might lead me to
believe otherwise.  I need the provisions from oracle so
that I can have my applications track their dependencies.

Ken Estes

Comment 1 Jeff Johnson 1999-07-22 18:40:59 UTC
Rpm currently supports separate "Autoreq:" and "Autoprov:" tags
in a spec file to independently control the running of find-requires
and find-provides. It sounds like you need
	Autoreq: 0
in your spec fiile. You will have to add by hand whatever functional
requirements that your package needs.

Comment 2 openshift-github-bot 2018-01-17 00:36:12 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/317a331424b2c0d30a506897c509ba888c40c217
fixed issue 4147 and added alternative command for provided example.

https://github.com/openshift/openshift-docs/commit/891261c0d237adb91cd8103f973acb8c664c330c
Merge pull request #4765 from gaurav-nelson/ForIssue4147

fixed issue 4147 and added alternative command for provided example.


Note You need to log in before you can comment on or make changes to this bug.